%global         momorel 7

Name:           perl-File-HomeDir
Version:        1.00
Release:        %{momorel}m%{?dist}
Summary:        Find your home and other directories, on any platform
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-HomeDir/
Source0:        http://www.cpan.org/authors/id/A/AD/ADAMK/File-HomeDir-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.00503
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp >= 0.19
BuildRequires:  perl-File-Which
BuildRequires:  perl-PathTools >= 3.12
BuildRequires:  perl-Test-Simple >= 0.47
Requires:       perl-File-Temp >= 0.19
Requires:       perl-File-Which
Requires:       perl-PathTools >= 3.12
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
File::HomeDir is a module for dealing with issues relating to the location
of directories that are "owned" by a user, primarily your user, and to
solve these issues consistently across a wide variety of platforms.

%prep
%setup -q -n File-HomeDir-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/File/HomeDir
%{perl_vendorlib}/File/HomeDir.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-7m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-6m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-2m)
- rebuild against perl-5.16.2

* Sat Oct 20 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99-1m)
- update to 0.99

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.98-2m)
- rebuild against perl-5.14.2

* Thu Jul  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.98-1m)
- update to 0.98

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.97-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.97-2m)
- rebuild against perl-5.14.0-0.2.1m

* Sat Apr 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.97-1m)
- update to 0.97

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.95-2m)
- rebuild for new GCC 4.6

* Fri Feb  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95-1m)
- update to 0.95

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.93-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.93-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.93-1m)
- update to 0.93

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.91-4m)
- full rebuild for mo7 release

* Thu Aug 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-3m)
- control test by specopt

* Mon Aug  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-2m)
- temporary make test disabled...

* Thu Jun 03 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-1m)
- update to 0.91
- Specfile r-generated by cpanspec 1.78.

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-2m)
- rebuild against perl-5.12.0

* Sun Jan  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-1m)
- update to 0.89

* Wed Nov 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.88-1m)
- update to 0.88

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.86-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-2m)
- rebuild against perl-5.10.1

* Sun Mar 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.86-1m)
- update to 0.86

* Fri Mar 13 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.84-1m)
- update to 0.84

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.82-2m)
- rebuild against rpm-4.6

* Tue Oct 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82-1m)
- update to 0.82

* Wed Oct  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.81-1m)
- update to 0.81

* Fri Jun 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.80-1m)
- update to 0.80

* Sun Apr 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.69-1m)
- update to 0.69

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.67-2m)
- rebuild against gcc43

* Thu Dec  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.67-1m)
- update to 0.67

* Sat Aug 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.66-1m)
- update to 0.66

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.65-1m)
- update to 0.65

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.64-2m)
- use vendor

* Fri Feb  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.64-1m)
- update to 0.64

* Wed Jan 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.63-1m)
- update to 0.63

* Wed Jan  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.62-1m)
- update to 0.62

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.58-1m)
- spec file was autogenerated
